package com.zd.laboratory.service;

import java.util.List;

import com.zd.laboratory.domain.LabGradeManage;

/**
 * 分级管控管理Service接口
 *
 * @author liubo
 * @date 2022-02-10
 */
public interface ILabGradeManageService {
    /**
     * 查询分级管控管理
     *
     * @param id 分级管控管理主键
     * @return 分级管控管理
     */
    public LabGradeManage selectLabGradeManageById(Long id);

    /**
     * 查询分级管控管理列表
     *
     * @param labGradeManage 分级管控管理
     * @return 分级管控管理集合
     */
    public List<LabGradeManage> selectLabGradeManageList(LabGradeManage labGradeManage);

    /**
     * 新增分级管控管理
     *
     * @param labGradeManage 分级管控管理
     * @return 结果
     */
    public LabGradeManage insertLabGradeManage(LabGradeManage labGradeManage);

    /**
     * 修改分级管控管理
     *
     * @param labGradeManage 分级管控管理
     * @return 结果
     */
    public LabGradeManage updateLabGradeManage(LabGradeManage labGradeManage);

    /**
     * 批量删除分级管控管理
     *
     * @param ids 需要删除的分级管控管理主键集合
     * @return 结果
     */
    public int deleteLabGradeManageByIds(Long[] ids);

    /**
     * 删除分级管控管理信息
     *
     * @param id 分级管控管理主键
     * @return 结果
     */
    public int deleteLabGradeManageById(Long id);
}
